Bug 489026 - Review Request: auto-buildrequires - Work out BuildRequires for rpmbuild automatically
Summary: Review Request: auto-buildrequires - Work out BuildRequires for rpmbuild auto...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-06 19:48 UTC by Orcan Ogetbil
Modified: 2009-03-26 14:52 UTC (History)
5 users (show)

Fixed In Version: 1.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-26 14:52:24 UTC
susi.lehtola: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2009-03-06 19:48:47 UTC
Spec URL: http://oget.fedorapeople.org/review/auto-buildrequires.spec
SRPM URL: http://oget.fedorapeople.org/review/auto-buildrequires-0.9-2.fc10.src.rpm
Description: 
Auto-BuildRequires is a simple set of scripts for automatically suggesting
BuildRequires lines for programs.

rpmlint is silent.

Comment 1 Susi Lehtola 2009-03-07 14:00:50 UTC
Package adheres to packaging and review guidelines.

APPROVED

Comment 2 Orcan Ogetbil 2009-03-07 16:02:59 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: auto-buildrequires 
Short Description: Work out BuildRequires for rpmbuild automatically
Owners: oget rjones
Branches: F-9 F-10
InitialCC:

Comment 3 Kevin Fenzi 2009-03-07 17:12:56 UTC
cvs done.

Comment 4 Fedora Update System 2009-03-07 18:19:18 UTC
auto-buildrequires-0.9-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/auto-buildrequires-0.9-2.fc10

Comment 5 Fedora Update System 2009-03-07 18:20:07 UTC
auto-buildrequires-0.9-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/auto-buildrequires-0.9-2.fc9

Comment 6 Richard W.M. Jones 2009-03-09 15:17:10 UTC
Thank you very much for packaging this.

Comment 7 Fedora Update System 2009-03-09 22:50:53 UTC
auto-buildrequires-0.9-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update auto-buildrequires'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2466

Comment 8 Fedora Update System 2009-03-09 22:51:48 UTC
auto-buildrequires-0.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update auto-buildrequires'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2471

Comment 9 Orcan Ogetbil 2009-03-10 23:31:50 UTC
(In reply to comment #6)
> Thank you very much for packaging this.  

You're welcome Rich. I see that you released version 1.0 . What comes with this release? Shall I update in in Fedora cvs or do you want to do it?

Comment 10 Richard W.M. Jones 2009-03-12 13:02:15 UTC
The key difference is that the 1.0 version works on 32 bit
architectures (there was a hardcoded path /lib64/libc.so in
previous versions).

I've pushed 1.0 to Rawhide now anyhow.

Comment 11 Fedora Update System 2009-03-14 19:08:52 UTC
auto-buildrequires-1.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/auto-buildrequires-1.0-3.fc10

Comment 12 Fedora Update System 2009-03-14 19:09:04 UTC
auto-buildrequires-1.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/auto-buildrequires-1.0-3.fc9

Comment 13 Fedora Update System 2009-03-16 19:39:29 UTC
auto-buildrequires-1.0-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update auto-buildrequires'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2707

Comment 14 Fedora Update System 2009-03-16 19:50:31 UTC
auto-buildrequires-1.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update auto-buildrequires'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2761

Comment 15 Richard W.M. Jones 2009-03-20 13:32:27 UTC
Package Change Request
======================
Package Name: auto-buildrequires
New Branches: EL-5
Owners: oget rjones

Comment 16 Kevin Fenzi 2009-03-22 05:50:19 UTC
cvs done.

Comment 17 Fedora Update System 2009-03-26 14:52:19 UTC
auto-buildrequires-1.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-03-26 14:52:48 UTC
auto-buildrequires-1.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.